Subject: Re: rxvt doesn't paste selections anymore?
From: "Alistair Grant" <[email-masked]>
To: <[email-masked]>
Cc: "Deragon, Hans" <[email-masked]>
Date: Thu, 19 Sep 2002 10:13:24 +1000

$ rxvt --version
Usage v2.7.2 : (XPM,menubar,.Xdefaults)
...

$ cygcheck -s
...
    Cygwin DLL version info:
        DLL version: 1.3.12
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 54
...

Shift-Left-click pastes fine.  I copied the information out of an rxvt
terminal (Cygwin updated yesterday).

    C:\cygwin\bin\rxvt.exe -fn "Lucida Console-12" -sr -bg black -fg
grey -sl 1000 -cr red -vb -e bash --login

As a shortcut starts fine with the DOS box disappearing quickly.

Hope this helps,

Alistair.

----- Original Message -----
From: "Deragon, Hans" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, September 19, 2002 1:14 AM
Subject: Re: rxvt doesn't paste selections anymore?

> Found the same problem.  On both of my machines, rxvt 2.7.2 is running.
> Yet, the one with the latest version of cygwin is broken, as you
described.
> Pretty anoying since this cut&paste function is the #1 kill feature of
rxvt.
> I might revert to the DOS window to be able to perform cut&paste.
>
> I also have another new problem with rxvt.  Following is the path in the
> shortcut I use to start rxvt:
>
> U:\cygwin\bin\bash.exe --login ~/bin/x50
>
> This x50 script calls rxvt with numerous options.  A dos window does show
up
> when called, followed by rxvt.  On my machine with the old cygwin, the dos
> window dissapear quickly (rxvt is called with & at the end to run in the
> background, thus the dos window exits after rxvt is started).  On the new
> Cygwin, the dos window persist; I must kill it manually.  Killing it does
> not kill the rxvt though, as it runs in the background.  Same
> settings/scripts on both machines, but different behaviors.
>
>
> Sincerely,
> Hans Deragon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/